Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.expression.ast
Interface ExpressionParserTreeConstants

All Known Implementing Classes:
  ExpressionParser

    public interface ExpressionParserTreeConstants

Field Summary
`static int` | `JJTAND`
`static int` | `JJTARGPARAMETER`
`static int` | `JJTARGS`
`static int` | `JJTATTRIBUTE`
`static int` | `JJTCALL`
`static int` | `JJTCFLOW`
`static int` | `JJTCFLOWBELOW`
`static int` | `JJTCLASSPATTERN`
`static int` | `JJTCONSTRUCTORPATTERN`
`static int` | `JJTEXECUTION`
`static int` | `JJTEXPRESSION`
`static int` | `JJTFIELDPATTERN`
`static int` | `JJTGET`
`static int` | `JJTHANDLER`
`static int` | `JJTHASFIELD`
`static int` | `JJTHASMETHOD`
`static int` | `JJTMETHODPATTERN`
`static int` | `JJTMODIFIER`
`static String[]` | `jjtNodeName`
`static int` | `JJTNOT`
`static int` | `JJTOR`
`static int` | `JJTPARAMETER`
`static int` | `JJTPOINTCUTREFERENCE`
`static int` | `JJTROOT`
`static int` | `JJTSET`
`static int` | `JJTSTATICINITIALIZATION`
`static int` | `JJTTARGET`
`static int` | `JJTTHIS`
`static int` | `JJTVOID`
`static int` | `JJTWITHIN`
`static int` | `JJTWITHINCODE`

Field Detail

### JJTROOT

    static final int JJTROOT

See Also:
  Constant Field Values

### JJTEXPRESSION

    static final int JJTEXPRESSION

See Also:
  Constant Field Values

### JJTVOID

    static final int JJTVOID

See Also:
  Constant Field Values

### JJTAND

    static final int JJTAND

See Also:
  Constant Field Values

### JJTOR

    static final int JJTOR

See Also:
  Constant Field Values

### JJTNOT

    static final int JJTNOT

See Also:
  Constant Field Values

### JJTPOINTCUTREFERENCE

    static final int JJTPOINTCUTREFERENCE

See Also:
  Constant Field Values

### JJTEXECUTION

    static final int JJTEXECUTION

See Also:
  Constant Field Values

### JJTCALL

    static final int JJTCALL

See Also:
  Constant Field Values

### JJTSET

    static final int JJTSET

See Also:
  Constant Field Values

### JJTGET

    static final int JJTGET

See Also:
  Constant Field Values

### JJTHANDLER

    static final int JJTHANDLER

See Also:
  Constant Field Values

### JJTWITHIN

    static final int JJTWITHIN

See Also:
  Constant Field Values

### JJTWITHINCODE

    static final int JJTWITHINCODE

See Also:
  Constant Field Values

### JJTSTATICINITIALIZATION

    static final int JJTSTATICINITIALIZATION

See Also:
  Constant Field Values

### JJTCLASSPATTERN

    static final int JJTCLASSPATTERN

See Also:
  Constant Field Values

### JJTCFLOW

    static final int JJTCFLOW

See Also:
  Constant Field Values

### JJTCFLOWBELOW

    static final int JJTCFLOWBELOW

See Also:
  Constant Field Values

### JJTARGS

    static final int JJTARGS

See Also:
  Constant Field Values

### JJTHASMETHOD

    static final int JJTHASMETHOD

See Also:
  Constant Field Values

### JJTHASFIELD

    static final int JJTHASFIELD

See Also:
  Constant Field Values

### JJTTARGET

    static final int JJTTARGET

See Also:
  Constant Field Values

### JJTTHIS

    static final int JJTTHIS

See Also:
  Constant Field Values

### JJTMETHODPATTERN

    static final int JJTMETHODPATTERN

See Also:
  Constant Field Values

### JJTCONSTRUCTORPATTERN

    static final int JJTCONSTRUCTORPATTERN

See Also:
  Constant Field Values

### JJTFIELDPATTERN

    static final int JJTFIELDPATTERN

See Also:
  Constant Field Values

### JJTPARAMETER

    static final int JJTPARAMETER

See Also:
  Constant Field Values

### JJTARGPARAMETER

    static final int JJTARGPARAMETER

See Also:
  Constant Field Values

### JJTATTRIBUTE

    static final int JJTATTRIBUTE

See Also:
  Constant Field Values

### JJTMODIFIER

    static final int JJTMODIFIER

See Also:
  Constant Field Values

### jjtNodeName

    static final String[] jjtNodeName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.